# Class ArenaTrapTag

#### Hierarchy (view full)

- ArenaTag
  - ArenaTrapTag

- Defined in src/data/arena-tag.ts:358

#####
Index

### Constructors

constructor

### Properties

layers
maxLayers
side
sourceId
sourceMove
tagType
turnCount

### Methods

activateTrap
apply
getMatchupScoreMultiplier
getMoveName
lapse
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new ArenaTrapTag(tagType, sourceMove, sourceId, side, maxLayers): ArenaTrapTag

- #### Parameters

  - tagType: ArenaTagType
  - sourceMove: Moves
  - sourceId: number
  - side: ArenaTagSide
  - maxLayers: number

  #### Returns ArenaTrapTag

  Overrides ArenaTag.constructor

  - Defined in src/data/arena-tag.ts:362

## Properties

### layers

layers: number

- Defined in src/data/arena-tag.ts:359

### maxLayers

maxLayers: number

- Defined in src/data/arena-tag.ts:360

### side

side: ArenaTagSide

Inherited from ArenaTag.side

- Defined in src/data/arena-tag.ts:30

### sourceId

sourceId: number

Inherited from ArenaTag.sourceId

- Defined in src/data/arena-tag.ts:29

### sourceMove

sourceMove: Moves

Inherited from ArenaTag.sourceMove

- Defined in src/data/arena-tag.ts:28

### tagType

tagType: ArenaTagType

Inherited from ArenaTag.tagType

- Defined in src/data/arena-tag.ts:26

### turnCount

turnCount: number

Inherited from ArenaTag.turnCount

- Defined in src/data/arena-tag.ts:27

## Methods

### activateTrap

- activateTrap(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  - Defined in src/data/arena-tag.ts:386

### apply

- apply(arena, args): boolean

- #### Parameters

  - arena: Arena
  - args: any[]

  #### Returns boolean

  Overrides ArenaTag.apply

  - Defined in src/data/arena-tag.ts:377

### getMatchupScoreMultiplier

- getMatchupScoreMultiplier(pokemon): number

- #### Parameters

  - pokemon: default

  #### Returns number

  - Defined in src/data/arena-tag.ts:390

### getMoveName

- getMoveName(): string

- #### Returns string

  Inherited from ArenaTag.getMoveName

  - Defined in src/data/arena-tag.ts:59

### lapse

- lapse(arena): boolean

- #### Parameters

  - arena: Arena

  #### Returns boolean

  Inherited from ArenaTag.lapse

  - Defined in src/data/arena-tag.ts:55

### onAdd

- onAdd(arena, quiet?): void

- #### Parameters

  - arena: Arena
  - quiet: boolean = false

  #### Returns void

  Inherited from ArenaTag.onAdd

  - Defined in src/data/arena-tag.ts:45

### onOverlap

- onOverlap(arena): void

- #### Parameters

  - arena: Arena

  #### Returns void

  Overrides ArenaTag.onOverlap

  - Defined in src/data/arena-tag.ts:369

### onRemove

- onRemove(arena, quiet?): void

- #### Parameters

  - arena: Arena
  - quiet: boolean = false

  #### Returns void

  Inherited from ArenaTag.onRemove

  - Defined in src/data/arena-tag.ts:47